/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VDmTranspose;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VDmTransposeRecord extends TableRecordImpl<VDmTransposeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_dm_transpose.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_transpose.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_dm_transpose.schemaname</code>.
     */
    public void setSchemaname(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_transpose.schemaname</code>.
     */
    public String getSchemaname() {
        return (String) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VDmTransposeRecord
     */
    public VDmTransposeRecord() {
        super(VDmTranspose.V_DM_TRANSPOSE);
    }

    /**
     * Create a detached, initialised VDmTransposeRecord
     */
    public VDmTransposeRecord(Integer fkElement, String schemaname) {
        super(VDmTranspose.V_DM_TRANSPOSE);

        setFkElement(fkElement);
        setSchemaname(schemaname);
        resetChangedOnNotNull();
    }
}
